Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.event
Class EventMessageEndpoint

    java.lang.Object
      com.bea.wlai.event.EventMessageEndpoint

All Implemented Interfaces:
  MessageEndpoint

public class EventMessageEndpoint
extends Object
implements MessageEndpoint

Event Message Endpoint class is used to publish to message broker topic and wlai_event_topic for remote wlai clients. This class also handles 'parking' events from AppViews that have been suspended.

Field Summary
`static String` | `AI_HEADER_END_TAG`
`static String` | `AI_HEADER_START_TAG`
`static String` | `END_TAG_PREFIX`
`static String` | `HEADERS_END_TAG`
`static String` | `HEADERS_START_TAG`
`static String` | `START_TAG_PREFIX`

Constructor Summary
`EventMessageEndpoint(EventMessageEndpointFactory factory, String appName, String appViewName, weblogic.security.acl.internal.AuthenticatedSubject runAsIdentity)`

Method Summary
`void` | `afterDelivery()`
`void` | `beforeDelivery(Method method)`
`Object` | `getOwner()`
`boolean` | `isBusy()`
`void` | `markBusy(Object owner)` Take ownership of this EventMessageEndpoint instance.
`void` | `onEvent(Object invoker, com.bea.wlai.common.IEvent event)` Deliver one event to this Endpoint's consumers.
`void` | `onEvent(Object invoker, com.bea.wlai.common.IEvent event, boolean wasParked, javax.jms.Queue queue)` Deliver one event from the parked event processor.
`void` | `release()` Release this endpoint and any owner ship of it.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### START_TAG_PREFIX

    public static final String START_TAG_PREFIX

See Also:
  Constant Field Values

### END_TAG_PREFIX

    public static final String END_TAG_PREFIX

See Also:
  Constant Field Values

### HEADERS_START_TAG

    public static final String HEADERS_START_TAG

See Also:
  Constant Field Values

### HEADERS_END_TAG

    public static final String HEADERS_END_TAG

See Also:
  Constant Field Values

### AI_HEADER_START_TAG

    public static final String AI_HEADER_START_TAG

See Also:
  Constant Field Values

### AI_HEADER_END_TAG

    public static final String AI_HEADER_END_TAG

See Also:
  Constant Field Values

Constructor Detail

### EventMessageEndpoint

    public EventMessageEndpoint(EventMessageEndpointFactory factory,
                                String appName,
                                String appViewName,
                                weblogic.security.acl.internal.AuthenticatedSubject runAsIdentity)
                         throws com.bea.wlai.event.EventMessageEndpoint.EventMessageEndpointException

Parameters:
  `appName` - The name of the J2EE app hosting the application view named by the appViewName param.
  `appViewName` - The qualified name of the application view to which events sent to this endpoint should be posted.
  `runAsIdentity` - the identity this message endpoint instance should use to 'run as' when performing administrative functions like incrementing counts, etc. This identity should NOT be used for the actual post to the MessageBroker.

Method Detail

### markBusy

    public void markBusy(Object owner)

  Take ownership of this EventMessageEndpoint instance. The caller of this method will have exclusive ownership of the endpoint and is responsible for calling release() when they are done using it.

### isBusy

    public boolean isBusy()

### getOwner

    public Object getOwner()

### release

    public void release()

  Release this endpoint and any owner ship of it.

  Specified by:
    `release` in interface `MessageEndpoint`

### afterDelivery

    public void afterDelivery()

  Specified by:
    `afterDelivery` in interface `MessageEndpoint`

### beforeDelivery

    public void beforeDelivery(Method method)

  Specified by:
    `beforeDelivery` in interface `MessageEndpoint`

### onEvent

    public void onEvent(Object invoker,
                        com.bea.wlai.common.IEvent event)
                 throws com.bea.wlai.event.EventMessageEndpoint.EventMessageEndpointException

  Deliver one event to this Endpoint's consumers.

  Throws:
    `com.bea.wlai.event.EventMessageEndpoint.EventMessageEndpointException`

### onEvent

    public void onEvent(Object invoker,
                        com.bea.wlai.common.IEvent event,
                        boolean wasParked,
                        javax.jms.Queue queue)
                 throws com.bea.wlai.event.EventMessageEndpoint.EventMessageEndpointException

  Deliver one event from the parked event processor.

  Throws:
    `com.bea.wlai.event.EventMessageEndpoint.EventMessageEndpointException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD